petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetDM(PC pc,DM dm)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| dm | - the dm

### See Also

PCGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages